Subject: Evenings alone are a thing of the past with your brand new huge d1ck

From: "haiyi Durickas" <[email-masked]>
Date: Thu, 31 Jan 2008 11:43:57 +0100

Make her dreams come true, fulfil her greatest desires with your new big d1ck